#
# spec file for package pam_ldap
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           pam_ldap
BuildRequires:  automake
BuildRequires:  openldap2-devel
BuildRequires:  pam-devel
# bug437293
%ifarch ppc64
Obsoletes:      pam_ldap-64bit
%endif
#
Version:        186
Release:        lp152.2.44
Summary:        A PAM Module for LDAP Authentication
License:        LGPL-2.1+
Group:          Productivity/Networking/LDAP/Clients
Url:            http://www.padl.com/OSS/pam_ldap.html
Source:         pam_ldap-%{version}.tar.bz2
Source1:        README.SUSE
Source2:        baselibs.conf
Patch:          pam_ldap.patch
Patch1:         pam_ldap-arm-linux-gnueabi.patch
Patch2:         pam_ldap-expirewarning.dif
Patch3:         pam_ldap-chauthtok-errcode.dif
Patch4:         0004-fix-bind-timelimit-description.patch
Patch5:		add-pwd-to-INC.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is a PAM Module that handles LDAP. The advantages of this pecular
version are:

Possibility to change LDAP passwords in the directory

Compatibility with the nss_ldap configuration file format

%prep
%setup
%patch -E
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p0
cp -v  %{S:1} .

%build
autoreconf -fiv
export CFLAGS="%optflags -fno-strict-aliasing"
%configure --enable-nds \
           --with-ldap-lib=openldap \
           --libdir=/%{_lib}
make %{?_smp_Mflags}

%install
make DESTDIR=$RPM_BUILD_ROOT install
rm $RPM_BUILD_ROOT/etc/ldap.conf

%files
%defattr(-,root,root)
%doc COPYING.LIB README README.SUSE ChangeLog ldap.conf pam.d
%doc %{_mandir}/man5/pam_ldap*
/%{_lib}/security/pam_ldap.so

%changelog
* Wed Mar 21 2018 varkoly@suse.com
- bsc#1081768 missing nss_ldap and pam_ldap packages (plus dependencies)
* Wed Mar  1 2017 hguo@suse.com
- Patch up incorrect default value that appears in both configuration
  file and manual page for parameter "bind_timeout".
  0004-fix-bind-timelimit-description.patch (bsc#918534)
* Mon Nov  3 2014 dimstar@opensuse.org
- Call autoreconf -fiv in place of autoreconf: ensure that
  autoreconf is successful in newer versions too.
* Tue Jul 29 2014 ckornacker@suse.com
- rename README.SuSE to README.SUSE (bnc#889012)
* Thu Apr 26 2012 joop.boonen@opensuse.org
- created patch pam_ldap-arm-linux-gnueabi.patch to build the
  arm binaries correctly
- Update to pam-ldap-186:
  * fix for BUG#424: build fails on Darwin
* Wed Mar  7 2012 rhafer@suse.de
- Remove %%suse_update_libdir and %%suse_update_config calls to
  unbreak built
* Wed Dec  7 2011 jengelh@medozas.de
- Remove redundant/unwanted tags/section (cf. specfile guidelines)
- Use %%_smp_mflags for parallel building
* Fri Dec  2 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Mon Feb  1 2010 jengelh@medozas.de
- Package baselibs.conf
* Tue Dec 15 2009 rhafer@novell.com
- Update to pam-ldap-185:
  * fix for BUG#232: LDAP write on userPassword fails
    when chasing referral and cached policy error is
    POLICY_ERROR_PASSWORD_EXPIRED
  * fix for BUG#366: only request attributes that are
    actually used
  * fix for BUG#394: canonicalize PAM_USER name
- obsoletes: pam_ldap-ppolicy-referral-fix.dif and
  pam_ldap-set_pam_user.dif
* Wed Jun 24 2009 sbrabec@suse.cz
- Supplement pam-32bit/pam-64bit in baselibs.conf (bnc#354164).
* Fri Dec 12 2008 rhafer@suse.de
- Set PAM_USER to the value of the "pam_login_attribute"-Attribute
  after successful authentication, as the matching rule for that
  Attribute-Type might strip of whitespaces and is case-insensitive
  (bnc#458673)
* Wed Dec 10 2008 olh@suse.de
- use Obsoletes: -XXbit only for ppc64 to help solver during distupgrade
  (bnc#437293)
* Thu Dec  4 2008 olh@suse.de
- obsolete old -XXbit packages (bnc#437293)
* Tue Oct 28 2008 rhafer@suse.de
- fixed check for message buffer in ldap_get_lderrno and return
  PAM_AUTHTOK_ERR instead of PAM_PERM_DENIED when password changing
  fails. (bnc#439436)
* Thu Aug 28 2008 rhafer@suse.de
- improve Password expiration warnings
- inform user about grace logins (bnc#420051)
* Thu May  8 2008 rhafer@suse.de
- Fixed chasing of referrals and search references that are
  received during the initial (unauthenticated) search.
  (Bug#387607)
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Tue Dec 11 2007 rhafer@suse.de
- Updating expired passwords in master-slave enviroments that use
  referrals did not work correctly. (Bug #340989)
* Fri Nov 16 2007 rhafer@suse.de
- Cleaned up BuildRequires
* Mon Mar  5 2007 rhafer@suse.de
-  Update to Version 184:
  * fix for PADL-Bug#312: pam_ldap does not try to reconnect
    when LDAP server closed the connection
* Tue Oct 24 2006 rhafer@suse.de
- update to version 183. Don't suppress password policy errors
  which should not be suppressed (Bug #210158, CVE-2006-5170)
* Tue Aug 22 2006 rhafer@suse.de
- update to version 182
  * fix for PADL-Bug#269: compile time error in call to
    ldap_sasl_interactive_bind_s()
  * fix for PADL-Bug#256: don't send password policy request
    control if pam_lookup_policy no specified
  * fix for PADL-Bug#254: check gethostbyname() result
  * fix for PADL-Bug#237: typo in ldap_get_lderrno()
    implementation
  * fix for PADL-Bug#207: if ldap_start_tls_s() fails
    return PAM_AUTHINFO_UNAVAIL
  * fix for PADL-Bug#261: sslpath example wrong
  * fix for PADL-Bug#268: POLICY_ERROR_CHANGE_AFTER_RESET
    should be handled as POLICY_ERROR_PASSWORD_EXPIRED,
    other password policy errors to be treated as fatal
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Oct 12 2005 rhafer@suse.de
- updated to version 180
* Thu Aug 18 2005 rhafer@suse.de
- when handling new password policy control, only fall through
  to account management module if a policy error was returned
  (Bug #105118)
* Tue Aug 16 2005 rhafer@suse.de
- Honour "ssl start_tls" when chasing referrals (Bug #94355)
* Tue Mar 29 2005 rhafer@suse.de
- update to version 178
* Fri Oct 15 2004 rhafer@suse.de
- Update to version 176
* Sat Mar 13 2004 kukuk@suse.de
- Update to version 169
- Add workaround for [Bug #34389]
* Thu Feb  5 2004 sbrabec@suse.cz
- Updated to version 167.
* Fri Jan 16 2004 kukuk@suse.de
- Add pam-devel to neededforbuild
- Build as user
* Mon Aug 11 2003 sbrabec@suse.cz
- Updated to version 164.
* Mon Jul 14 2003 sbrabec@suse.cz
- Changed path to ldap.conf to /etc (bug #27528).
* Mon Jun  2 2003 ro@suse.de
- remove unpackaged files from buildroot
* Tue Apr 15 2003 ro@suse.de
- fixed neededforbuild
* Sat Mar  8 2003 kukuk@suse.de
- Add workaround for KDM Bug [Bug #24931]
* Thu Feb 20 2003 kukuk@suse.de
- Fix base and scope values if we have an nss_base_passwd option
  without scope
* Thu Feb 20 2003 rhafer@suse.de
- Fix off-by-one bug in _read_config (nss_base_passwd option)
* Thu Feb 13 2003 kukuk@suse.de
- Fix seg.fault if conversion function returns NULL.
* Mon Feb 10 2003 sbrabec@suse.cz
- Removed /etc/openldap from %%files.
* Mon Feb 10 2003 sbrabec@suse.cz
- Updated to version 159.
* Wed Jan 15 2003 ro@suse.de
- use sasl2
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Mon Aug 26 2002 rhafer@suse.de
- LDAP_FILT_MAXSIZ isn't defined in libldap anymore
* Tue Jul 16 2002 kukuk@suse.de
- Update to pam_ldap 150 (lot of small bug fixes)
* Thu Mar 21 2002 kukuk@suse.de
- Fix docu, add hint about new pam_unix2.conf configuration
* Mon Feb  4 2002 tcrhak@suse.cz
- update to version 137, used %%{_lib}
* Tue Jan 15 2002 kukuk@suse.de
- Update to version 135 (correct uid check)
- Fix "use_first_pass" option (check if old password was really
  set, set old token earlier)
* Sat Jan 12 2002 kukuk@suse.de
- Fix broken PAM config files
- Use pam_unix2.so
* Tue Dec  4 2001 tcrhak@suse.cz
- update to version 134
* Tue Aug  7 2001 cihlar@suse.cz
- update to version 122
- added Url
* Wed Jun 20 2001 pblaha@suse.cz
- update on version 118
* Mon May  7 2001 kukuk@suse.de
- Fix more example config files (get ride of pam_pwdb, use
  correct pam_unix options)
* Fri Apr 27 2001 kukuk@suse.de
- Fix name of config option
- Don't print "Error: success" if we are no LDAP user
- Fix example config files (module stacking, syntax error)
* Wed Mar 21 2001 ro@suse.de
- fixed neededforbuild again
* Fri Mar 16 2001 pblaha@suse.cz
- update on version 105
- add buildroot
* Thu Mar 15 2001 ro@suse.de
- fixed neededforbuild for openldap
* Tue Feb 27 2001 ro@suse.de
- changed neededforbuild <cyrus-sasl> to <cyrus-sasl cyrus-sasl-devel>
* Wed Jan 31 2001 choeger@suse.de
- link against ldaplib2
* Tue Dec  5 2000 kukuk@suse.de
- Update to version 82
- Don't log user name of failed logins
* Sat Nov  4 2000 kukuk@suse.de
- Use ldaplib in neededforbuild
* Wed Sep 27 2000 kukuk@suse.de
- Fix sshd example
* Wed May 17 2000 kukuk@suse.de
- Update to version 51
- Adjust example pam config files (Bug 2862)
* Tue Feb 15 2000 kukuk@suse.de
- Update to version 46
* Tue Oct 12 1999 kukuk@suse.de
- Update to version 42
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Aug 25 1999 kukuk@suse.de
- Update to version 39
* Mon Jul 12 1999 kukuk@suse.de
- Add README.SuSE and ldap.conf to documentation
- Create /etc/openldap directory
* Fri Jun 25 1999 kukuk@suse.de
- Update to version 36
* Wed Jun 16 1999 kukuk@suse.de
- First Version
